0 Replies Latest reply on Sep 26, 2008 5:35 AM by Ioannis Calemis

    Deploying Drools Rules Engine in xercesImpl-2.4.0.jara bundl

    Ioannis Calemis Newbie

      I am trying to build a decision engine bundle upon Drools.
      I am working on eclipse and on knopflerfish osgi platform
      What I am doing is to add Drool in Bundle Classpath as:
      Bundle-ClassPath:..., lib/drools-jsr94-4.0.7.jar....

      and i am adding the followin libraries in the classpath:
      drools-jsr94-4.0.7.jar
      drools-decisiontables-4.0.7.jar
      drools-core-4.0.7.jar
      drools-compiler-4.0.7.jar
      drools-ant-4.0.7.jar
      drools-analytics-4.0.7.jar
      furthermore i add the following dependencies:
      ant-1.6.5.jar
      antlr-runtime-3.0.jar
      ant-nodeps-1.6.5.jar
      core-3.2.3.v_686_R32x.jar
      janino-2.5.10.jar
      jsr94-1.1.jar
      jxl-2.4.2.jar
      mvel-1.3.1-java1.4.jar
      xercesImpl-2.4.0.jar
      xml-apis-1.0.b2.jar
      xpp3_min-1.1.3.4.O.jar
      xstream-1.2.2.jar

      while the bundle seems to build ok I always get the following error when i try to run it, on the following code:
      RuleBase ruleBase = loadRuleBase(ruleFile);

      org.drools.RuntimeDroolsException: Unable to load dialect 'org.drools.rule.builder.dialect.mvel.MVELDialectConfiguration:mvel'
      .
      .
      .
      Caused by: java.lang.ClassNotFoundException: org.drools.rule.builder.dialect.mvel.MVELDialectConfiguration

      I've tried to build and install drools as bundle but I always get the same error

      Is there any specific way that i need to build my bundle project with drools so that it will run properly?